### Constructor

# GcrUi FailureRenderer new

#### Declaration [src]

    GcrRenderer*
    gcr_failure_renderer_new (
      const gchar* label,
      GError* error
    )

#### Description [src]

Create a new renderer for an error.

#### Parameters

`label`

  Type: `const gchar*`

  The label for the failure.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError`

  The error to display.

  The data is owned by the caller of the function.

#### Return value

Type: `GcrFailureRenderer`

The new renderer.

The caller of the function takes ownership of the data, and is responsible for freeing it.